-- phpMyAdmin SQL Dump
-- version 3.5.8.2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Erstellungszeit: 08. Nov 2020 um 15:12
-- Server Version: 5.7.28-nmm1-log
-- PHP-Version: 7.3.22-nmm1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Datenbank: `00000000`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_aliases`
--

CREATE TABLE IF NOT EXISTS `test_kunena_aliases` (
  `alias` varchar(190) CHARACTER SET utf8mb4 NOT NULL,
  `type` varchar(10) CHARACTER SET utf8mb4 NOT NULL,
  `item` varchar(32) CHARACTER SET utf8mb4 NOT NULL,
  `state` tinyint(4) NOT NULL DEFAULT '0',
  UNIQUE KEY `alias` (`alias`),
  KEY `state` (`state`),
  KEY `item` (`item`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_announcement`
--

CREATE TABLE IF NOT EXISTS `test_kunena_announcement` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `title` tinytext CHARACTER SET utf8mb4 NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `sdescription` text CHARACTER SET utf8mb4 NOT NULL,
  `description` text CHARACTER SET utf8mb4 NOT NULL,
  `created` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `ordering` tinyint(4) NOT NULL DEFAULT '0',
  `showdate` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_attachments`
--

CREATE TABLE IF NOT EXISTS `test_kunena_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mesid` int(11) NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `protected` tinyint(4) NOT NULL DEFAULT '0',
  `hash` char(32) CHARACTER SET utf8mb4 DEFAULT NULL,
  `size` int(11) DEFAULT NULL,
  `folder` varchar(255) CHARACTER SET utf8mb4 NOT NULL,
  `filetype` varchar(20) CHARACTER SET utf8mb4 NOT NULL,
  `filename` varchar(255) CHARACTER SET utf8mb4 NOT NULL,
  `filename_real` varchar(255) CHARACTER SET utf8mb4 NOT NULL DEFAULT '',
  `caption` varchar(255) CHARACTER SET utf8mb4 NOT NULL DEFAULT '',
  `inline` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `mesid` (`mesid`),
  KEY `userid` (`userid`),
  KEY `hash` (`hash`),
  KEY `filename` (`filename`),
  KEY `filename_real` (`filename_real`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_categories`
--

CREATE TABLE IF NOT EXISTS `test_kunena_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT '0',
  `name` tinytext CHARACTER SET utf8mb4,
  `alias` varchar(255) CHARACTER SET utf8mb4 NOT NULL,
  `icon` varchar(60) CHARACTER SET utf8mb4 NOT NULL,
  `icon_id` tinyint(4) NOT NULL DEFAULT '0',
  `locked` tinyint(4) NOT NULL DEFAULT '0',
  `accesstype` varchar(20) CHARACTER SET utf8mb4 NOT NULL DEFAULT 'joomla.level',
  `access` int(11) NOT NULL DEFAULT '0',
  `pub_access` int(11) NOT NULL DEFAULT '1',
  `pub_recurse` tinyint(4) DEFAULT '1',
  `admin_access` int(11) NOT NULL DEFAULT '0',
  `admin_recurse` tinyint(4) DEFAULT '1',
  `ordering` smallint(6) NOT NULL DEFAULT '0',
  `published` tinyint(4) NOT NULL DEFAULT '0',
  `channels` text CHARACTER SET utf8mb4,
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `review` tinyint(4) NOT NULL DEFAULT '0',
  `allow_anonymous` tinyint(4) NOT NULL DEFAULT '0',
  `post_anonymous` tinyint(4) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `description` text CHARACTER SET utf8mb4 NOT NULL,
  `headerdesc` text CHARACTER SET utf8mb4 NOT NULL,
  `topictemplate` text CHARACTER SET utf8mb4 NOT NULL,
  `class_sfx` varchar(20) CHARACTER SET utf8mb4 NOT NULL,
  `allow_polls` tinyint(4) NOT NULL DEFAULT '0',
  `topic_ordering` varchar(16) CHARACTER SET utf8mb4 NOT NULL DEFAULT 'lastpost',
  `iconset` varchar(255) CHARACTER SET utf8mb4 NOT NULL DEFAULT 'default',
  `numTopics` mediumint(8) NOT NULL DEFAULT '0',
  `numPosts` mediumint(8) NOT NULL DEFAULT '0',
  `last_topic_id` int(11) NOT NULL DEFAULT '0',
  `last_post_id` int(11) NOT NULL DEFAULT '0',
  `last_post_time` int(11) NOT NULL DEFAULT '0',
  `params` text CHARACTER SET utf8mb4 NOT NULL,
  `allow_ratings` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `category_access` (`accesstype`,`access`),
  KEY `published_pubaccess_id` (`published`,`pub_access`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_configuration`
--

CREATE TABLE IF NOT EXISTS `test_kunena_configuration` (
  `id` int(11) NOT NULL DEFAULT '0',
  `params` text CHARACTER SET utf8mb4,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_logs`
--

CREATE TABLE IF NOT EXISTS `test_kunena_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` tinyint(4) NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL DEFAULT '0',
  `topic_id` int(11) NOT NULL DEFAULT '0',
  `target_user` int(11) NOT NULL DEFAULT '0',
  `ip` varchar(40) CHARACTER SET utf8mb4 NOT NULL DEFAULT '',
  `time` int(11) NOT NULL DEFAULT '0',
  `operation` varchar(40) CHARACTER SET utf8mb4 NOT NULL,
  `data` mediumtext CHARACTER SET utf8mb4 NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`),
  KEY `category_id` (`category_id`),
  KEY `topic_id` (`topic_id`),
  KEY `target_user` (`target_user`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_messages`
--

CREATE TABLE IF NOT EXISTS `test_kunena_messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) DEFAULT '0',
  `thread` int(11) DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `name` tinytext CHARACTER SET utf8mb4,
  `userid` int(11) NOT NULL DEFAULT '0',
  `email` tinytext CHARACTER SET utf8mb4,
  `subject` tinytext CHARACTER SET utf8mb4,
  `time` int(11) NOT NULL DEFAULT '0',
  `ip` varchar(128) CHARACTER SET utf8mb4 DEFAULT NULL,
  `topic_emoticon` int(11) NOT NULL DEFAULT '0',
  `locked` tinyint(4) NOT NULL DEFAULT '0',
  `hold` tinyint(4) NOT NULL DEFAULT '0',
  `ordering` int(11) DEFAULT '0',
  `hits` int(11) DEFAULT '0',
  `moved` tinyint(4) DEFAULT '0',
  `modified_by` int(7) DEFAULT NULL,
  `modified_time` int(11) DEFAULT NULL,
  `modified_reason` tinytext CHARACTER SET utf8mb4,
  PRIMARY KEY (`id`),
  KEY `thread` (`thread`),
  KEY `ip` (`ip`),
  KEY `userid` (`userid`),
  KEY `time` (`time`),
  KEY `locked` (`locked`),
  KEY `hold_time` (`hold`,`time`),
  KEY `parent_hits` (`parent`,`hits`),
  KEY `catid_parent` (`catid`,`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_messages_text`
--

CREATE TABLE IF NOT EXISTS `test_kunena_messages_text` (
  `mesid` int(11) NOT NULL DEFAULT '0',
  `message` text CHARACTER SET utf8mb4 NOT NULL,
  PRIMARY KEY (`mesid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_polls`
--

CREATE TABLE IF NOT EXISTS `test_kunena_polls` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) CHARACTER SET utf8mb4 NOT NULL,
  `threadid` int(11) NOT NULL,
  `polltimetolive` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `threadid` (`threadid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_polls_options`
--

CREATE TABLE IF NOT EXISTS `test_kunena_polls_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pollid` int(11) DEFAULT NULL,
  `text` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL,
  `votes` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pollid` (`pollid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_polls_users`
--

CREATE TABLE IF NOT EXISTS `test_kunena_polls_users` (
  `pollid` int(11) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `votes` int(11) DEFAULT NULL,
  `lasttime` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `lastvote` int(11) DEFAULT NULL,
  UNIQUE KEY `pollid` (`pollid`,`userid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_ranks`
--

CREATE TABLE IF NOT EXISTS `test_kunena_ranks` (
  `rank_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `rank_title` varchar(255) CHARACTER SET utf8mb4 NOT NULL DEFAULT '',
  `rank_min` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `rank_special` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `rank_image` varchar(255) CHARACTER SET utf8mb4 NOT NULL DEFAULT '',
  PRIMARY KEY (`rank_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_rate`
--

CREATE TABLE IF NOT EXISTS `test_kunena_rate` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `topic_id` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `rate` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `time` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_sessions`
--

CREATE TABLE IF NOT EXISTS `test_kunena_sessions` (
  `userid` int(11) NOT NULL DEFAULT '0',
  `allowed` text CHARACTER SET utf8mb4,
  `lasttime` int(11) NOT NULL DEFAULT '0',
  `readtopics` text CHARACTER SET utf8mb4,
  `currvisit` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`userid`),
  KEY `currvisit` (`currvisit`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_smileys`
--

CREATE TABLE IF NOT EXISTS `test_kunena_smileys` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `code` varchar(12) CHARACTER SET utf8mb4 NOT NULL DEFAULT '',
  `location` varchar(50) CHARACTER SET utf8mb4 NOT NULL DEFAULT '',
  `greylocation` varchar(60) CHARACTER SET utf8mb4 NOT NULL DEFAULT '',
  `emoticonbar` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_thankyou`
--

CREATE TABLE IF NOT EXISTS `test_kunena_thankyou` (
  `postid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `targetuserid` int(11) NOT NULL,
  `time` datetime NOT NULL,
  UNIQUE KEY `postid` (`postid`,`userid`),
  KEY `userid` (`userid`),
  KEY `targetuserid` (`targetuserid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_topics`
--

CREATE TABLE IF NOT EXISTS `test_kunena_topics` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_id` int(11) NOT NULL DEFAULT '0',
  `subject` tinytext CHARACTER SET utf8mb4,
  `icon_id` int(11) NOT NULL DEFAULT '0',
  `label_id` int(11) NOT NULL DEFAULT '0',
  `locked` tinyint(4) NOT NULL DEFAULT '0',
  `hold` tinyint(4) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `posts` int(11) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `attachments` int(11) NOT NULL DEFAULT '0',
  `poll_id` int(11) NOT NULL DEFAULT '0',
  `moved_id` int(11) NOT NULL DEFAULT '0',
  `first_post_id` int(11) NOT NULL DEFAULT '0',
  `first_post_time` int(11) NOT NULL DEFAULT '0',
  `first_post_userid` int(11) NOT NULL DEFAULT '0',
  `first_post_message` text CHARACTER SET utf8mb4,
  `first_post_guest_name` tinytext CHARACTER SET utf8mb4,
  `last_post_id` int(11) NOT NULL DEFAULT '0',
  `last_post_time` int(11) NOT NULL DEFAULT '0',
  `last_post_userid` int(11) NOT NULL DEFAULT '0',
  `last_post_message` text CHARACTER SET utf8mb4,
  `last_post_guest_name` tinytext CHARACTER SET utf8mb4,
  `rating` tinyint(4) NOT NULL,
  `params` text CHARACTER SET utf8mb4 NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `locked` (`locked`),
  KEY `hold` (`hold`),
  KEY `posts` (`posts`),
  KEY `hits` (`hits`),
  KEY `first_post_userid` (`first_post_userid`),
  KEY `last_post_userid` (`last_post_userid`),
  KEY `first_post_time` (`first_post_time`),
  KEY `last_post_time` (`last_post_time`),
  KEY `last_post_id` (`last_post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_users`
--

CREATE TABLE IF NOT EXISTS `test_kunena_users` (
  `userid` int(11) NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `status_text` varchar(255) CHARACTER SET utf8mb4 NOT NULL DEFAULT '0',
  `view` varchar(8) CHARACTER SET utf8mb4 NOT NULL DEFAULT '',
  `signature` text CHARACTER SET utf8mb4,
  `moderator` int(11) DEFAULT '0',
  `banned` datetime DEFAULT NULL,
  `ordering` int(11) DEFAULT '0',
  `posts` int(11) DEFAULT '0',
  `avatar` varchar(255) CHARACTER SET utf8mb4 DEFAULT NULL,
  `timestamp` int(11) DEFAULT NULL,
  `karma` int(11) DEFAULT '0',
  `karma_time` int(11) DEFAULT '0',
  `group_id` int(4) DEFAULT '1',
  `uhits` int(11) DEFAULT '0',
  `personalText` tinytext CHARACTER SET utf8mb4,
  `gender` tinyint(4) NOT NULL DEFAULT '0',
  `birthdate` date NOT NULL DEFAULT '0001-01-01',
  `location` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `friendfeed` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `bebo` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `digg` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `icq` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `telegram` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `vk` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `microsoft` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `skype` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `twitter` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `facebook` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `google` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `myspace` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `linkedin` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `linkedin_company` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `delicious` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `instagram` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `qqsocial` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `blogspot` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `flickr` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `apple` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `qzone` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `weibo` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `wechat` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `yim` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `whatsapp` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `youtube` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `ok` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `websitename` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `websiteurl` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL,
  `rank` tinyint(4) NOT NULL DEFAULT '0',
  `hideEmail` tinyint(1) NOT NULL DEFAULT '1',
  `showOnline` tinyint(1) NOT NULL DEFAULT '1',
  `canSubscribe` tinyint(1) NOT NULL DEFAULT '-1',
  `userListtime` int(11) DEFAULT '-2',
  `thankyou` int(11) DEFAULT '0',
  `ip` varchar(128) CHARACTER SET utf8mb4 NOT NULL DEFAULT '',
  `socialshare` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`userid`),
  KEY `group_id` (`group_id`),
  KEY `posts` (`posts`),
  KEY `uhits` (`uhits`),
  KEY `banned` (`banned`),
  KEY `moderator` (`moderator`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_users_banned`
--

CREATE TABLE IF NOT EXISTS `test_kunena_users_banned` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) DEFAULT NULL,
  `ip` varchar(128) CHARACTER SET utf8mb4 DEFAULT NULL,
  `blocked` tinyint(4) NOT NULL DEFAULT '0',
  `expiration` datetime DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `created_time` datetime NOT NULL,
  `reason_private` text CHARACTER SET utf8mb4,
  `reason_public` text CHARACTER SET utf8mb4,
  `modified_by` int(11) DEFAULT NULL,
  `modified_time` datetime DEFAULT NULL,
  `comments` text CHARACTER SET utf8mb4,
  `params` text CHARACTER SET utf8mb4,
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`),
  KEY `ip` (`ip`),
  KEY `expiration` (`expiration`),
  KEY `created_time` (`created_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_user_categories`
--

CREATE TABLE IF NOT EXISTS `test_kunena_user_categories` (
  `user_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `role` tinyint(4) NOT NULL DEFAULT '0',
  `allreadtime` int(11) NOT NULL DEFAULT '0',
  `subscribed` tinyint(4) NOT NULL DEFAULT '0',
  `params` text CHARACTER SET utf8mb4 NOT NULL,
  PRIMARY KEY (`user_id`,`category_id`),
  KEY `category_subscribed` (`category_id`,`subscribed`),
  KEY `role` (`role`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_user_read`
--

CREATE TABLE IF NOT EXISTS `test_kunena_user_read` (
  `user_id` int(11) NOT NULL,
  `topic_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `message_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  UNIQUE KEY `user_topic_id` (`user_id`,`topic_id`),
  KEY `category_user_id` (`category_id`,`user_id`),
  KEY `time` (`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_user_topics`
--

CREATE TABLE IF NOT EXISTS `test_kunena_user_topics` (
  `user_id` int(11) NOT NULL DEFAULT '0',
  `topic_id` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL,
  `posts` mediumint(8) NOT NULL DEFAULT '0',
  `last_post_id` int(11) NOT NULL DEFAULT '0',
  `owner` tinyint(4) NOT NULL DEFAULT '0',
  `favorite` tinyint(4) NOT NULL DEFAULT '0',
  `subscribed` tinyint(4) NOT NULL DEFAULT '0',
  `params` text CHARACTER SET utf8mb4 NOT NULL,
  UNIQUE KEY `user_topic_id` (`user_id`,`topic_id`),
  KEY `topic_id` (`topic_id`),
  KEY `posts` (`posts`),
  KEY `owner` (`owner`),
  KEY `favorite` (`favorite`),
  KEY `subscribed` (`subscribed`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `test_kunena_version`
--

CREATE TABLE IF NOT EXISTS `test_kunena_version` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `version` varchar(20) CHARACTER SET utf8mb4 NOT NULL,
  `versiondate` date NOT NULL,
  `installdate` date NOT NULL,
  `build` varchar(20) CHARACTER SET utf8mb4 NOT NULL DEFAULT '0',
  `versionname` varchar(40) CHARACTER SET utf8mb4 DEFAULT NULL,
  `state` text CHARACTER SET utf8mb4 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
